{% extends 'base.html.twig' %}

{% block body -%}
<main class='main-content bgc-grey-100'>
    <div id='mainContent'>
        <h1>{{ isEditing ? 'Modifica' : 'Creazione' }} dei dati del router
            <img src="{{ asset('assets/images/Mikrotik_logo.svg') }}"  alt="logo"  style="max-height: 1em">
        </h1>
        {{ form_start(main_form) }}
        {{ form_errors(main_form) }}
        {{ form_row(main_form.ip) }}
        {{ form_row(main_form.apiUsername) }}
        {{ form_row(main_form.apiPassword) }}
        {{ form_row(main_form.useBypass) }}
        <div class="row sendBtnArea">
            <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center">
                <button type="submit" class="btn btn-success">Salva modifiche</button>
            </div>
            <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-center">
                <a href="{{ path('mikrotik') }}" class="btn btn-info">
                    Ritorna alla configurazione
                </a>
            </div>
            <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-end">
                {% if isEditing %}
                <a href="{{ path('config_mikrotik_delete', { 'id': entity.id }) }}" class="btn btn-danger" onclick="return confirm('Sei sicuro di voler eliminare questo elemento?')">
                    Rimuovi questo router</a>
                {% endif %}
            </div>
        </div>
    {{ form_end(main_form) }}


    </div>
</main>
{% endblock %}
